/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-core.c -
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#include "config.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "tnt.h"

#define DEBUG(x)

gboolean
tnt_core_init (TntCore *core, TntConfig *config)
{
  g_return_val_if_fail (config != NULL, FALSE);

  flux_object_init              (FLUX_OBJECT (core));
  flux_object_set_type          (FLUX_OBJECT (core), TNT_CORE_TYPE);
  flux_object_set_finalize_func (FLUX_OBJECT (core), tnt_core_finalize);

  /* Config */

  core->config = config;
  flux_object_ref (FLUX_OBJECT (core->config));

  return TRUE;
}

void
tnt_core_finalize (FluxObject *object)
{
  TntCore *core = TNT_CORE (object);

  flux_object_unref (FLUX_OBJECT (core->config));
}

TntConfig *
tnt_core_peek_config (TntCore *core)
{
  return core->config;
}

