/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-language.c - Official languages supported by Tentacles metadata.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 *          Joakim Ziegler      <joakim@avmaria.com>
 */

#include "config.h"
#include "tnt.h"

static char *language [] =
{
  "Unknown",

  "English",
  "Spanish",
  "French",
  "German",
  "Portuguese",
  "Russian",
  "Japanese",

  "Afrikaans",
  "Albanian",
  "Arabic",
  "Armenian",
  "Bulgarian",
  "Byelorussian",
  "Cantonese",
  "Croatian",
  "Czech",
  "Danish",
  "Dutch",
  "Esperanto",
  "Estonian",
  "Finnish",
  "Georgian",
  "Greek",
  "Guarani",
  "Gujarati",
  "Hebrew",
  "Hindi",
  "Hungarian",
  "Icelandic",
  "Indonesian",
  "Irish",
  "Italian",
  "Korean",
  "Latin",
  "Latvian",
  "Lithuanian",
  "Macedonian",
  "Mandarin",
  "Norwegian",
  "Persian",
  "Polish",
  "Punjabi",
  "Romanian",
  "Sanskrit",
  "Serbian",
  "Serbo-Croatian",
  "Slovak",
  "Slovenian",
  "Swahili",
  "Swedish",
  "Tagalog",
  "Thai",
  "Turkish",
  "Ukrainian",
  "Urdu",
  "Vietnamese",
  NULL
};

gint
tnt_language_get_n_labels (void)
{
  gint n;

  for (n = 0; language [n]; n++)
    ;

  return n + 1;
}

const gchar *
tnt_language_get_label (gint lang)
{
  if (lang >= tnt_language_get_n_labels ())
    return language [0];

  return language [lang];
}
