/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-message-filter.h - Message filter.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_MESSAGE_FILTER_H
#define TNT_MESSAGE_FILTER_H

/* --- TntMessageFilter --- */

#define TNT_MESSAGE_FILTER(object) ((TntMessageFilter *) object)

struct _TntMessageFilter
{
  FluxObject  object;

  GHashTable *table;
  gint        iterations_since_cleanup;
};

void              tnt_message_filter_init          (TntMessageFilter *filter);
TntMessageFilter *tnt_message_filter_new           (void);
void              tnt_message_filter_finalize      (FluxObject *filter);

gboolean          tnt_message_filter_allow_message (TntMessageFilter *filter, TntMessage *message);

#endif  /* TNT_MESSAGE_FILTER_H */
