/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-node-meta.c - Stores information on a network node.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_NODE_META_H
#define TNT_NODE_META_H

#define TNT_NODE_META(s) ((TntNodeMeta *) s)

TntNodeMeta  *tnt_node_meta_new                       (void);
TntNodeMeta  *tnt_node_meta_dup                       (TntNodeMeta *node_meta);
void          tnt_node_meta_free                      (TntNodeMeta *node_meta);
void          tnt_node_meta_reclaim_memory            (void);

void          tnt_node_meta_seen                      (TntNodeMeta *node_meta);
TntTimeStamp  tnt_node_meta_get_last_seen             (TntNodeMeta *node_meta);

void          tnt_node_meta_get_primary_address       (TntNodeMeta *node_meta, TntNodeAddress4 *dest);
void          tnt_node_meta_set_primary_address       (TntNodeMeta *node_meta, TntNodeAddress4 *src);
gint          tnt_node_meta_get_primary_rating        (TntNodeMeta *node_meta);
void          tnt_node_meta_rate_primary_address      (TntNodeMeta *node_meta, gint change);

void          tnt_node_meta_get_secondary_address     (TntNodeMeta *node_meta, TntNodeAddress4 *dest);
void          tnt_node_meta_set_secondary_address     (TntNodeMeta *node_meta, TntNodeAddress4 *src);
gint          tnt_node_meta_get_secondary_rating      (TntNodeMeta *node_meta);
void          tnt_node_meta_rate_secondary_address    (TntNodeMeta *node_meta, gint change);

void          tnt_node_meta_get_best_address          (TntNodeMeta *node_meta, TntNodeAddress4 *dest);

#endif  /* TNT_NODE_META_H */
