/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-routed-message.h - Message with routing headers.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_ROUTED_MESSAGE_H
#define TNT_ROUTED_MESSAGE_H

#define TNT_ROUTED_MESSAGE(object) ((TntRoutedMessage *) object)

struct _TntRoutedMessage
{
  TntMessage     message;

  TntNodeID      source_id;
  TntNodeID      dest_id;
};

void              tnt_routed_message_init                     (TntRoutedMessage *message, TntMessageType type,
                                                               TntNodeID source_id, TntNodeID dest_id);
TntRoutedMessage *tnt_routed_message_new                      (TntMessageType type, TntNodeID source_id,
                                                               TntNodeID dest_id);
void              tnt_routed_message_finalize                 (FluxObject *message);

gboolean          tnt_routed_message_has_source               (TntRoutedMessage *message);
gboolean          tnt_routed_message_has_destination          (TntRoutedMessage *message);

TntNodeID         tnt_routed_message_get_source               (TntRoutedMessage *message);
TntNodeID         tnt_routed_message_get_destination          (TntRoutedMessage *message);

#endif  /* TNT_ROUTED_MESSAGE_H */
