/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* flux-tcp-listener.h - Listener for TCP connections.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_TCP_LISTENER_H
#define TNT_TCP_LISTENER_H

#define TNT_TCP_LISTENER(object) ((TntTcpListener *) object)

struct _TntTcpListener
{
  FluxTcpListener       tcp_listener;

  TntTcpConnectionFunc *connection_func;
  gpointer              connection_func_data;
};

gboolean         tnt_tcp_listener_init                (TntTcpListener *tl, gint port, FluxCipher *cipher);
TntTcpListener  *tnt_tcp_listener_new                 (gint port);
TntTcpListener  *tnt_tcp_listener_new_with_cipher     (gint port, FluxCipher *cipher);
void             tnt_tcp_listener_finalize            (FluxObject *tl);

void             tnt_tcp_listener_set_connection_func (TntTcpListener *tl, TntTcpConnectionFunc *func,
                                                       gpointer data);

#endif /* TNT_TCP_LISTENER_H */
